
USE SVH_REPORT_DB
GO

/*
|| Autor: Dani Bieto
|| Fecha: 2022.06.27
|| Proyecto: JUNO
|| Proceso: Actualizar la tabla MAESTRO_CARTERA, con los valores fijos a D+4
*/


/*
|| Fecha: 2022.09.08
|| Autor: Jhon Reyes
|| Antes: 
||		- Existían 2 scrips para actualizar los valores fijos en maestro cartera
||			- El primer[04a] script se ejecuaba en el día D+4. Actualizaba maestro cartera e insertaba la data en la tabla valores fijos
||			- El segundo[04b] script se ejecutaba en los N días posteriores a D+4. Solo actualizaba maestro cartera con la data de la tabla valores fijos
|| Ahora:
||		- Se crea un nuevo script, para poblar la tabla valores fijos. Lo suyo es que se ejecute 1 vez, el día D+4, pero se puede ejecutar 
||			también en el día D+3. NUNCA se ejecutará después del día D+4. 
||		-  Luego, en la N ejecuciones que tenga maestro cartera, independientemente de si es D+4 o posterior, siempre se ejecutara este script.
*/

--=========================================================================================================================================
--														         UPDATE VALORES FIJOS MAESTRO_CARTERA
--=========================================================================================================================================

	DECLARE @ANYOMES VARCHAR(6);
	SET @ANYOMES = CONVERT(VARCHAR(6),DATEADD(dd,-(DAY(GETDATE())),GETDATE()),112);	

	UPDATE CARTERA
	SET 
		CARTERA.USR087_SUBCATEGORIA_PROVINCIA 		               = FIJOS.USR087_SUBCATEGORIA_PROVINCIA,
		CARTERA.USR055_CLASIFICACION_CONTABLE_MODELO               = FIJOS.USR055_CLASIFICACION_CONTABLE_MODELO,
		CARTERA.USR039_CLASIFICACION_CIRCULAR_4_2016               = FIJOS.USR039_CLASIFICACION_CIRCULAR_4_2016,
		CARTERA.ADJ450_ESTADO_CONSTRUCCION                         = FIJOS.ADJ450_ESTADO_CONSTRUCCION,
		CARTERA.USR076_COMPENSACION_PROTOCOLO_KB                   = FIJOS.USR076_COMPENSACION_PROTOCOLO_KB,
		CARTERA.USR064_FONDO_MINIMO_EXIGIDO                        = FIJOS.USR064_FONDO_MINIMO_EXIGIDO,
		CARTERA.USR014_VALOR_ADQUISICION_ESCRITURAS                = FIJOS.USR014_VALOR_ADQUISICION_ESCRITURAS,
        CARTERA.ADJ315_VALOR_TRANSMISION                         = FIJOS.ADJ315_VALOR_TRANSMISION,
        CARTERA.USR016_VALOR_BRUTO_DEUDA                         = FIJOS.USR016_VALOR_BRUTO_DEUDA,
        CARTERA.USR052_ID_INMUEBLE                               = FIJOS.USR052_ID_INMUEBLE,
        CARTERA.ADJ073_FECHA_ULTIMO_GRADO_AVANCE_ESTIMADO        = FIJOS.ADJ073_FECHA_ULTIMO_GRADO_AVANCE_ESTIMADO,
        CARTERA.ADJ075_COSTE_ADQUISICION_SUELO                   = FIJOS.ADJ075_COSTE_ADQUISICION_SUELO,
        CARTERA.BDE042_TASA_ANUALIZADA_HOMOGENEA                 = FIJOS.BDE042_TASA_ANUALIZADA_HOMOGENEA,
        CARTERA.ADJ122_TIPO_SUELO                                = FIJOS.ADJ122_TIPO_SUELO,
        CARTERA.BDE022_APROVECHAMIENTO_ESPERADO                  = FIJOS.BDE022_APROVECHAMIENTO_ESPERADO,
        CARTERA.ADJ074_FECHA_ESTIMADA_TERMINAR_OBRA              = FIJOS.ADJ074_FECHA_ESTIMADA_TERMINAR_OBRA,
        CARTERA.ADJ077_COSTE_ESTIMADO_TERMINAR_OBRA              = FIJOS.ADJ077_COSTE_ESTIMADO_TERMINAR_OBRA,
        CARTERA.BDE001_GEOLOCALIZACION                           = FIJOS.BDE001_GEOLOCALIZACION, 
        CARTERA.ADJ110_FECHA_ULTIMA_REHABILITACION_INTEGRAL      = FIJOS.ADJ110_FECHA_ULTIMA_REHABILITACION_INTEGRAL,
        CARTERA.ADJ111_CALIDAD_CONSTRUCCION                      = FIJOS.ADJ111_CALIDAD_CONSTRUCCION,
        CARTERA.ADJ453_NUMERO_PLANTAS_SOBRE_RASANTE_EDIFICIO     = FIJOS.ADJ453_NUMERO_PLANTAS_SOBRE_RASANTE_EDIFICIO,
        CARTERA.ADJ185_NUMERO_DORMITORIOS                        = FIJOS.ADJ185_NUMERO_DORMITORIOS,
        CARTERA.ADJ197_ARMARIOS_EMPOTRADOS                       = FIJOS.ADJ197_ARMARIOS_EMPOTRADOS,
        CARTERA.ADJ198_PUERTA_SEGURIDAD                          = FIJOS.ADJ198_PUERTA_SEGURIDAD,
        CARTERA.ADJ202_CIRCUITO_CERRADO_SEGURIDAD                = FIJOS.ADJ202_CIRCUITO_CERRADO_SEGURIDAD,
        CARTERA.ADJ204_AGUA_CALIENTE                             = FIJOS.ADJ204_AGUA_CALIENTE,
        CARTERA.ADJ205_COMBUSTIBLE_AGUA_CALIENTE                 = FIJOS.ADJ205_COMBUSTIBLE_AGUA_CALIENTE,
        CARTERA.ADJ194_TIPO_CALEFACCION                          = FIJOS.ADJ194_TIPO_CALEFACCION, 
        CARTERA.ADJ201_AIRE_ACONDICIONADO                        = FIJOS.ADJ201_AIRE_ACONDICIONADO,
        CARTERA.ADJ207_INST_COMUNES_ZONA_VERDE                   = FIJOS.ADJ207_INST_COMUNES_ZONA_VERDE,
        CARTERA.ADJ206_INSTALACIONES_COMUNES_PISCINA             = FIJOS.ADJ206_INSTALACIONES_COMUNES_PISCINA, 
        CARTERA.ADJ212_INS_COMUNES_TENIS_PADEL                   = FIJOS.ADJ212_INS_COMUNES_TENIS_PADEL,
        CARTERA.ADJ467_INS_COMUNES_OTRAS_INSTALACIONES_DEPORTIVAS = FIJOS.ADJ467_INS_COMUNES_OTRAS_INSTALACIONES_DEPORTIVAS,
        CARTERA.BDE006_LOC_FRENTE                                = FIJOS.BDE006_LOC_FRENTE,
        CARTERA.BDE008_LOC_ALTURA                                = FIJOS.BDE008_LOC_ALTURA,
        CARTERA.BDE009_DIVISIBILIDAD_LOC                         = FIJOS.BDE009_DIVISIBILIDAD_LOC,
        CARTERA.BDE010_SUPERFICIE_ALTILLO                        = FIJOS.BDE010_SUPERFICIE_ALTILLO,
        CARTERA.BDE011_SUPERFICIE_PLANTA_SOTANO                  = FIJOS.BDE011_SUPERFICIE_PLANTA_SOTANO,
        CARTERA.BDE014_SUELO_TECNICO                             = FIJOS.BDE014_SUELO_TECNICO,
        CARTERA.BDE015_DIVISIBILIDAD_OF                          = FIJOS.BDE015_DIVISIBILIDAD_OF,
        CARTERA.ADJ215_CATEGORIA                                 = FIJOS.ADJ215_CATEGORIA,
        CARTERA.BDE017_INSTALACIONES_HTL                         = FIJOS.BDE017_INSTALACIONES_HTL,
        CARTERA.ADJ471_SALA_CONVENCIONES_REUNIONES               = FIJOS.ADJ471_SALA_CONVENCIONES_REUNIONES,
        CARTERA.ADJ472_RESTAURANTE                               = FIJOS.ADJ472_RESTAURANTE,
        CARTERA.ADJ473_INSTALACIONES_DEPORTIVAS                  = FIJOS.ADJ473_INSTALACIONES_DEPORTIVAS,
        CARTERA.ADJ220_ESPACIO_DIAFANO                           = FIJOS.ADJ220_ESPACIO_DIAFANO,
        CARTERA.BDE028_LUZ_ESTANDAR_ESTRUCTURA                   = FIJOS.BDE028_LUZ_ESTANDAR_ESTRUCTURA,
        CARTERA.BDE018_INSTALACIONES_NAV                         = FIJOS.BDE018_INSTALACIONES_NAV,
        CARTERA.BDE020_SUPERFICIE_TOTAL                          = FIJOS.BDE020_SUPERFICIE_TOTAL,
        CARTERA.ADJ227_SUPERFICIE_CULTIVOS_SECANO                = FIJOS.ADJ227_SUPERFICIE_CULTIVOS_SECANO,
        CARTERA.ADJ228_SUPERFICIE_CULTIVOS_REGADIO               = FIJOS.ADJ228_SUPERFICIE_CULTIVOS_REGADIO,
        CARTERA.ADJ229_SUPERFICIE_OTROS_AGRICOLA                 = FIJOS.ADJ229_SUPERFICIE_OTROS_AGRICOLA,
        CARTERA.ADJ480_SUPERFICIE_USO_GANADEROS                  = FIJOS.ADJ480_SUPERFICIE_USO_GANADEROS,
        CARTERA.ADJ230_SUPERFICIE_CONSTRUIDA_VIVIENDAS           = FIJOS.ADJ230_SUPERFICIE_CONSTRUIDA_VIVIENDAS,
        CARTERA.ADJ231_SUPERFICIE_CONSTRUIDA_USOS_AGROPECUARIOS  = FIJOS.ADJ231_SUPERFICIE_CONSTRUIDA_USOS_AGROPECUARIOS,
        CARTERA.ADJ233_AGUA_REGADIO_LEGALIZADA                   = FIJOS.ADJ233_AGUA_REGADIO_LEGALIZADA,
        CARTERA.ADJ234_ENERGIA_ELECTRICA                         = FIJOS.ADJ234_ENERGIA_ELECTRICA,
        CARTERA.ADJ115_ACCESO_INFRAESTRUCTURAS_VIALES            = FIJOS.ADJ115_ACCESO_INFRAESTRUCTURAS_VIALES,
        CARTERA.BDE021_USO_ACTUAL_SUELO                          = FIJOS.BDE021_USO_ACTUAL_SUELO,
        CARTERA.ADJ333_APROVECHAMIENTO_RESIDENCIAL               = FIJOS.ADJ333_APROVECHAMIENTO_RESIDENCIAL,
        CARTERA.ADJ334_APROVECHAMIENTO_RESIDENCIAL               = FIJOS.ADJ334_APROVECHAMIENTO_RESIDENCIAL,
        CARTERA.ADJ335_APROVECHAMIENTO_RESIDENCIAL_SEGUNDA       = FIJOS.ADJ335_APROVECHAMIENTO_RESIDENCIAL_SEGUNDA,
        CARTERA.ADJ336_APROVECHAMIENTO_OFICINAS                  = FIJOS.ADJ336_APROVECHAMIENTO_OFICINAS,
        CARTERA.ADJ337_APROVECHAMIENTO_LOCALES_COMERCIALES       = FIJOS.ADJ337_APROVECHAMIENTO_LOCALES_COMERCIALES,
        CARTERA.ADJ338_APROVECHAMIENTO_USO_INDUSTRIAL            = FIJOS.ADJ338_APROVECHAMIENTO_USO_INDUSTRIAL,
        CARTERA.ADJ339_APROVECHAMIENTO_USO_HOTELERO              = FIJOS.ADJ339_APROVECHAMIENTO_USO_HOTELERO,
        CARTERA.ADJ341_APROVECHAMIENTO_PLAZAS_GARAJE             = FIJOS.ADJ341_APROVECHAMIENTO_PLAZAS_GARAJE,
        CARTERA.ADJ340_APROVECHAMIENTO_TRASTEROS                 = FIJOS.ADJ340_APROVECHAMIENTO_TRASTEROS,
        CARTERA.BDE023_APROVECHAMIENTO_RESIDENCIAL_M2            = FIJOS.BDE023_APROVECHAMIENTO_RESIDENCIAL_M2,
        CARTERA.BDE024_APROVECHAMIENTO_RESIDENCIAL_PRIMERA_M2    = FIJOS.BDE024_APROVECHAMIENTO_RESIDENCIAL_PRIMERA_M2,
        CARTERA.BDE025_APROVECHAMIENTO_RESIDENCIAL_SEGUNDA_M2    = FIJOS.BDE025_APROVECHAMIENTO_RESIDENCIAL_SEGUNDA_M2,
        CARTERA.ADJ345_APROVECHAMIENTO_OFICINAS                  = FIJOS.ADJ345_APROVECHAMIENTO_OFICINAS,
        CARTERA.ADJ346_APROVECHAMIENTO_LOCALES_COMERCIALES_M2    = FIJOS.ADJ346_APROVECHAMIENTO_LOCALES_COMERCIALES_M2,
        CARTERA.ADJ347_APROVECHAMIENTO_USO_INDUSTRIAL            = FIJOS.ADJ347_APROVECHAMIENTO_USO_INDUSTRIAL,
        CARTERA.ADJ348_APROVECHAMIENTO_USO_HOTELERO_M2           = FIJOS.ADJ348_APROVECHAMIENTO_USO_HOTELERO_M2,
        CARTERA.ADJ349_APROVECHAMIENTO_TRASTEROS                 = FIJOS.ADJ349_APROVECHAMIENTO_TRASTEROS, 
        CARTERA.ADJ468_ZONA_VERDE_DEPORTIVA                      = FIJOS.ADJ468_ZONA_VERDE_DEPORTIVA,
        CARTERA.ADJ469_APROVECHAMIENTO_DOTACIONAL                = FIJOS.ADJ469_APROVECHAMIENTO_DOTACIONAL,
        CARTERA.ADJ351_APROVECHAMIENTO_OTROS_USOS_M2             = FIJOS.ADJ351_APROVECHAMIENTO_OTROS_USOS_M2,
        CARTERA.ADJ159_SUPERFICIE_BRUTA_ALQUILABLE               = FIJOS.ADJ159_SUPERFICIE_BRUTA_ALQUILABLE,
        CARTERA.ADJ330_PORCENTAJE_CONSTRUIDO                     = FIJOS.ADJ330_PORCENTAJE_CONSTRUIDO,
        CARTERA.USR015_CARTERA_CONTABLE_TENEEDORA                = FIJOS.USR015_CARTERA_CONTABLE_TENEEDORA,
        CARTERA.USR050_FINALIDAD_OPERACION                       = FIJOS.USR050_FINALIDAD_OPERACION,
        CARTERA.CONS17_FECHA_DISPOSICION                         = FIJOS.CONS17_FECHA_DISPOSICION,
        CARTERA.USR091_ORIGEN_INMUEBLE_ANTES_ADJUDICACION        = FIJOS.USR091_ORIGEN_INMUEBLE_ANTES_ADJUDICACION,
        CARTERA.USR001_CLASIFICACION                             = FIJOS.USR001_CLASIFICACION,
        CARTERA.USR061_GRUPO_PC_8E                               = FIJOS.USR061_GRUPO_PC_8E,
        CARTERA.ADJ323_CORRECCIONES_VALOR_POR_DETERIORO          = FIJOS.ADJ323_CORRECCIONES_VALOR_POR_DETERIORO,
        CARTERA.ADJ007_VALOR_CONTABLE_BRUTO                      = FIJOS.ADJ007_VALOR_CONTABLE_BRUTO,
        CARTERA.USR044_VALOR_CONTABLE_NETO                       = FIJOS.USR044_VALOR_CONTABLE_NETO,
        CARTERA.USR062_DETERIORO_CIERRE_EJERCICIO_ANTERIOR       = FIJOS.USR062_DETERIORO_CIERRE_EJERCICIO_ANTERIOR,
        CARTERA.USR063_CORRECCION_CONSOLIDADA_CIERRE_EJERCICIO_ANTERIOR = FIJOS.USR063_CORRECCION_CONSOLIDADA_CIERRE_EJERCICIO_ANTERIOR,
        CARTERA.USR065_OTROS_AJUSTES_COSTE                       = FIJOS.USR065_OTROS_AJUSTES_COSTE,
        CARTERA.USR086_DIREFENCIA_VNC_CONSOLIDADO                = FIJOS.USR086_DIREFENCIA_VNC_CONSOLIDADO,
        CARTERA.USR095_PERDIDA_ADICIONAL_ADJUDICACION            = FIJOS.USR095_PERDIDA_ADICIONAL_ADJUDICACION,
        CARTERA.USR096_REVERSION_DETERIORO_ADJUDICACION          = FIJOS.USR096_REVERSION_DETERIORO_ADJUDICACION,
        CARTERA.USR075_OTROS_AJUSTES                             = FIJOS.USR075_OTROS_AJUSTES, 
        CARTERA.ADJ443_PRECIO_NETO_VENTA                         = FIJOS.ADJ443_PRECIO_NETO_VENTA
	FROM [JUNO].[MAESTRO_CARTERA] CARTERA
   INNER JOIN [JUNO].[TMP_UR_MAESTRO_HIST] UR ON CARTERA.SOCIEDAD = UR.SOCIEDAD AND CARTERA.UNIDAD_REGISTRAL = UR.UNIDAD_REGISTRAL
   INNER JOIN [JUNO].[TMP_VALORES_FIJOS] FIJOS 
      ON CARTERA.SOCIEDAD         = FIJOS.SOCIEDAD 
     AND CARTERA.UNIDAD_REGISTRAL = FIJOS.UNIDAD_REGISTRAL 
     AND CARTERA.PERIODO          = FIJOS.PERIODO
	WHERE CARTERA.PERIODO = @ANYOMES
	AND UR.IND_MIGRACION = 'X'
    
       